- Qt 5.15
- Qt Help
- C++ Classes
- QHelpContentWidget
- Qt 5.15.18 Reference Documentation

# QHelpContentWidget Class

The QHelpContentWidget class provides a tree view for displaying help content model items. More...

Header: | #include <QHelpContentWidget>
qmake: | QT += help
Since: | Qt 4.4
Inherits: | QTreeView

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

QModelIndex | indexOf(const QUrl &link)

## Signals

void | linkActivated(const QUrl &link)

## Detailed Description

## Member Function Documentation

### `[signal]` void QHelpContentWidget::linkActivated(const QUrl &link)

This signal is emitted when a content item is activated and its associated link should be shown.

### QModelIndex QHelpContentWidget::indexOf(const QUrl &link)

Returns the index of the content item with the link. An invalid index is returned if no such an item exists.